=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2005-09-07 04:10:04 +0000
+++ bzrlib/errors.py	2005-09-07 05:12:06 +0000
@@ -23,7 +23,13 @@
 ######################################################################
 # exceptions 
 class BzrError(StandardError):
-    pass
+    def __str__(self):
+        if len(self.args) == 2:
+            # further explanation or suggestions
+            return '\n  '.join([self.args[0]] + self.args[1])
+        else:
+            return `self.args`
+
 
 class BzrCheckError(BzrError):
     pass

